<?php

namespace App\Controller;

use App\Repository\BlogRepository;
use App\Service\S3Service;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class IndexController extends AbstractController
{
    #[Route('/', methods: ['GET'])]
    public function indexPage(S3Service $s3Service, BlogRepository $blogRepository): Response
    {
        return $this->render('pages/index.html.twig', [
            'skills' => $s3Service->listFolder('skills/')['Contents'],
            'blog' => $blogRepository->findBy(array(), array('id' => 'DESC'), 3, 0)
        ]);
    }
}
