<?php

namespace App\Controller;

use App\Repository\PageRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class RedirectController extends AbstractController
{
    #[Route('/redirect/p/{page}', name: 'redirect_page', methods: ['GET'])]
    public function redirectPageByID(PageRepository $repository, int $page): Response
    {
        $page = $repository->find($page);
        if (!$page) {
            return $this->render('pages/error404.html.twig')->setStatusCode(404);
        }
        return new RedirectResponse($page->getPath());
    }
}
