<?php

namespace App\Entity;

use App\Repository\SocialLinkAttributesRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: SocialLinkAttributesRepository::class)]
class SocialLinkAttributes
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\Column(length: 255)]
    private ?string $value = null;

    #[ORM\ManyToOne(inversedBy: 'attributes')]
    private ?SocialLink $socialLink = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getValue(): ?string
    {
        return $this->value;
    }

    public function setValue(string $value): self
    {
        $this->value = $value;

        return $this;
    }

    public function getSocialLink(): ?SocialLink
    {
        return $this->socialLink;
    }

    public function setSocialLink(?SocialLink $socialLink): self
    {
        $this->socialLink = $socialLink;

        return $this;
    }
}
