<?php

namespace App\Service;

use Gregwar\Captcha\CaptchaBuilder;
use Gregwar\Captcha\PhraseBuilder;
use Symfony\Component\HttpFoundation\RequestStack;

class CaptchaService
{
    private CaptchaBuilder $captchaBuilder;

    public function __construct(
        private readonly RequestStack $requestStack
    ) {
        $this->captchaBuilder = new CaptchaBuilder();
    }

    public function getInlineCaptcha(): string
    {
        $this->requestStack->getSession()->set('captcha', $this->captchaBuilder->getPhrase());
        return $this->captchaBuilder->build()->inline();
    }

    public function validate(string $userInput, bool $invalidateAfterValidating = true): bool
    {
        $captchaText = $this->requestStack->getSession()->get('captcha');

        if ($invalidateAfterValidating) {
            $this->requestStack->getSession()->set('captcha', '');
        }

        return PhraseBuilder::comparePhrases($userInput, $captchaText);
    }
}
